Mark an asset as missing. Optionally specify a note and notification recipients who will receive email updates.
Rate limit: 100 requests/min (learn more about rate limits here).
To use this endpoint, select Write Assets under the Assets category when creating or editing an API token. Learn More.
Submit Feedback: Likes, dislikes, and API feature requests should be filed as feedback in our API feedback form. If you encountered an issue or noticed inaccuracies in the API documentation, please submit a case to our support team.
curl --request POST \
--url https://api.samsara.com/fleet/assets/device-recovery/{id}/missing \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"note": "Asset was last seen at warehouse A",
"notification_recipients": [
{
"notification_types": [
"email"
],
"user_id": 1234
}
]
}
'{
"data": {
"id": "12345",
"name": "Trailer-A1234",
"updated_at_ms": 1609459200000,
"initiated_at_ms": 1609459200000,
"initiated_by_user_id": 1234,
"note": "Asset was last seen at warehouse A",
"notification_recipients": [
{
"email": "jane.doe@example.com",
"name": "Jane Doe",
"notification_types": [
"email"
],
"user_id": 1234
}
],
"update_source": "dashboard",
"updated_by_user_id": 1234
}
}Documentation Index
Fetch the complete documentation index at: https://samsara-showcase.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
The ID of the asset. This can be a Samsara internal ID or an external ID in the format key:value.
Request body for marking an asset as missing.
OK response.
An asset currently marked as missing, including notification recipients.
Show child attributes
curl --request POST \
--url https://api.samsara.com/fleet/assets/device-recovery/{id}/missing \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"note": "Asset was last seen at warehouse A",
"notification_recipients": [
{
"notification_types": [
"email"
],
"user_id": 1234
}
]
}
'{
"data": {
"id": "12345",
"name": "Trailer-A1234",
"updated_at_ms": 1609459200000,
"initiated_at_ms": 1609459200000,
"initiated_by_user_id": 1234,
"note": "Asset was last seen at warehouse A",
"notification_recipients": [
{
"email": "jane.doe@example.com",
"name": "Jane Doe",
"notification_types": [
"email"
],
"user_id": 1234
}
],
"update_source": "dashboard",
"updated_by_user_id": 1234
}
}